Bug 1006243 - Recent alerts list/report should include event source
Recent alerts list/report should include event source
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 965201
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 05:56 EDT by Heiko W. Rupp
Modified: 2014-03-04 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 965201
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-09-10 05:56:01 EDT
+++ This bug was initially created as a clone of Bug #965201 +++

Condition Text currently only shows the severity of the alert (INFO or ERROR) and optionally the conditions.

It does not show the 'event source', which is useful, nor the text of the alert. If space allows, another column would be good for this. We have alerts for many hosts ('sources') that originate from one SNMP trap listener and we can't see the actual alert text or host.

--- Additional comment from Elias Ross on 2013-06-12 16:10:28 EDT ---

This patch might work, but I need to test it:

diff --git a/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java b/modules/enterpr
index 1bfb3a7..eb1c275 100644
--- a/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java
+++ b/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java
@@ -25,6 +25,7 @@
 import org.rhq.core.domain.alert.Alert;
 import org.rhq.core.domain.alert.AlertCondition;
 import org.rhq.core.domain.alert.AlertConditionCategory;
+import org.rhq.core.domain.alert.AlertConditionLog;
 import org.rhq.core.domain.alert.AlertConditionOperator;
 import org.rhq.core.domain.alert.AlertDefinition;
 import org.rhq.core.domain.measurement.MeasurementUnits;
@@ -228,6 +229,9 @@ public static String formatAlertConditionForDisplay(AlertCondition condition) {
                 str.append(condition.getOption());
                 str.append("'");
             }
+            for (AlertConditionLog log : condition.getConditionLogs()) {
+                str.append(" '").append(log.getValue()).append("'");
+            }
             break;
         }
         case DRIFT: {

--- Additional comment from Heiko W. Rupp on 2013-06-12 16:14:19 EDT ---

Elias, you write

"Condition Text currently only shows"

where is that? In all places like list of alerts for a resource, or reports or?

Thanks
  Heiko

--- Additional comment from Elias Ross on 2013-06-12 21:18:41 EDT ---

Reports -> Recent Alerts

I'm thinking: http://localhost:7080/coregui/#Reports/Subsystems/RecentAlerts

though I think there are other similar views.

The 'Condition Text' column should have the text from the Event. It currently only shows:

Event Detection [INFO]

in this column.

--- Additional comment from Heiko W. Rupp on 2013-06-14 03:34:30 EDT ---

The 'Condition Text' is the condition you set to match, but not the matched value that you are interested in.

Currently the event line shows the condition and when you click on the creation time you can click on "conditions" to see the value.

Having said that, I can see that
a) it is hard to see the interesting stuff from the list
b) it is tedious to click 2 times to see the condition logs

Just adding a column for the source to the list does not sound good to me, as this
would be empty for most cases

--- Additional comment from Heiko W. Rupp on 2013-06-14 05:04:25 EDT ---

First part is in master dad4e56a7b

Still need to think about the event source.
This is hidden in the resource and resource type.

This could perhaps be displayed in a column that is by default hidden

Note You need to log in before you can comment on or make changes to this bug.